Subject: Re: strange cygstart bug with current Cygwin versions
From: David Picton <[email-masked]>
To: Igor Peshansky <[email-masked]>
Cc: [email-masked]
Date: Mon, 6 Feb 2006 21:29:07 +0000

On 2/3/06, Igor Peshansky <[email-masked]> wrote:
> On Fri, 3 Feb 2006, David Picton wrote:
>
> > I have encountered a strange bug when starting Microsoft Word when it is
> > started by the cygstart command, e.g. "cygstart Index.doc", with the
> > current version of the Cygwin dll.
> >
> > The symptoms are as follows:
> >
> > 1.  Word appears to start normally, and the file can be edited on screen.

[snip]

> > 3.  Attempting to save the file gets no response.  The only way to close
> > the window is to exit without saving!

[snip]

>
> Sounds like an instance of
> <http://cygwin.com/ml/cygwin/2005-05/msg00587.html>...  Does it work if
> you "cygstart cmd" and then start word from that cmd shell?  If you get
> the same symptoms, please run "set" in that cmd window and compare the
> output with the same in a cmd started via "Start->Run"...

I get the same symptoms, and now I can see what the problem is.  The 
CMD window shows that TEMP and TMP have retained Cygwin-style
pathnames:

TEMP=/cygdrive/c/DOCUME~1/dave/LOCALS~1/Temp
TMP=/cygdrive/c/DOCUME~1/dave/LOCALS~1/Temp

Word works OK if I set TMP to a proper Windows pathname e.g. D:\cygwin\tmp

>
> Do you get the same problem if you use "run winword.exe filename"?  Which
> version of Word are you trying to use?

No.  Everything worked normally when I did the following:

export PATH='/cygdrive/c/program files/microsoft office/office11':"$PATH"
run winword paper1.doc

The problem seems to be specific to commands started by cygstart (with
the current
Cygwin dll) but isn't specific to one version of Word - I've seen it
with both Word 2003
and Word 2000.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/